Subject: Re: [netmod] A suggestion for yang namespaces

From: Kent Watsen <[email-masked]>
Date: Tue, 20 Dec 2016 19:33:10 +0000

>Bill Fenner <[email-masked]> wrote:
>> https://tools.ietf.org/html/rfc4151 defines the "tag:" URI scheme, which
>> allows the creation of URIs with nearly arbitrary syntax by anyone with an
>> email address or domain name.  E.g.,
>> "tag:example.com,2016:yang:interface-extension".
>> The quirk here is the date, which exists in case example.com gets
>> reassigned to someone else next year.
>> 
>> If authors can accept the date quirk, this is an already-existing mechanism
>> that is nearly identical to the one that was proposed in Xufeng's
>> presentation today.
>
> I wasn't aware of this scheme, but I think this is exactly what is
> needed.  As for the date part, it is there for a reason, so it should
> be acceptable.
>
> So, since this scheme exists, I don't think we should define the
> 'rdns' scheme.
>
> /martin

Thank you, Bill, for bringing RFC 4151 to our attention.  Helen, the author of the drafts in question, also agrees that the ‘tag’ scheme addresses the need.  

Given these circumstances, we consider the matter settled and, contrary to the NETMOD 97 minutes, we will not issue a call for adoption for draft-chen-rdns-urn and draft-chen-netmod-enterprise-yang-namespace.

One thing, there is a request to add a reference to RFC 4151 into rfc6087bis if possible.  rfc6087bis is currently in AD Evaluation state, so there may still be an opportunity to do this.

Thanks,
Kent // as co-chair